#!/bin/sh
# monthly.sh - 21 Feb 10 - Robert J. Clay
# what to do monthly
BBBSDIR=/opt/bbbs
SCRIPTS=$BBBSDIR/scripts
WORKPATH=$BBBSDIR/work
RULESPATH=/opt/ftn/rules 
cd $BBBSDIR

#  Purge files
$BBBSDIR/bbbs bpurge

#  post rules & announcements
##   monthly conference stats posting
#
/usr/bin/at  -q f -f $SCRIPTS/bconfmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/chatstatmth.sh now   

/usr/bin/at  -q f -f $SCRIPTS/sffstatmth.sh now 

$BBBSDIR/bbbs bcstat ^rec. -30 > $WORKPATH/bcstat.txt 
$BBBSDIR/bbbs btxt2bbs rocasa.stats $WORKPATH/bcstat.txt /F Sysop /S 30 Day Totals for rec* echos
#
/usr/bin/at  -q f -f $SCRIPTS/pcstatmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/progstatmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/osstatsmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/mistatsmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/altstatsmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/sh/annnntpmth.sh now 
#
#/usr/bin/at  -q f -f $SCRIPTS/sh/rhstatmth.sh now 
#
#/usr/bin/at  -q f -f $SCRIPTS/sh/hamstatmth.sh now 
#
#/usr/bin/at  -q f -f $SCRIPTS/sh/scistatmth.sh now
#
/usr/bin/at  -q f -f $SCRIPTS/ftnstatsmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/stn/statmth.sh now 
#
/usr/bin/at  -q f -f $SCRIPTS/sh/wwbstatmth.sh now 
#
##  Post rules for  MAC echos
# STN.PROG echo/mailing list, & STN.INTERNET echo/mailing list
/usr/bin/at  -q f -f $SCRIPTS/sh/rulespost.sh now   
/usr/bin/at  -q f -f $SCRIPTS/stn/rulespost.sh now   
/usr/bin/at  -q f -f $SCRIPTS/mac/rulespost.sh now   
#  post monthly announcements about files received
/usr/bin/at  -q f -f $SCRIPTS/fileannounce.sh now   

##  monthly hatching of various files 
#/usr/bin/at  -q f -f $SCRIPTS/sh/work/monthlyhatch.sh now &  

#  monthly hatching of bbbsfdn files 
/usr/bin/at  -q f -f $SCRIPTS/bbbsfdn/hatchmonthly.sh now   
#
$BBBSDIR/bbbs bogus a

#  monthly updates of available newsgroups
#$SCRIPTS/sh/getactive.sh
#$BBBSDIR/bbbs bnntp g 192.168.4.5 $WORKPATH/rocasa.net.news
$BBBSDIR/bbbs bnntp g news.bbs-scene.org $WORKPATH/bbs-scene.org.news
$BBBSDIR/bbbs bnntp g news.redhat.com $WORKPATH/redhat.com.news
$BBBSDIR/bbbs bnntp g news.tardis.net $WORKPATH/tardis.net.news
$BBBSDIR/bbbs bnntp g news.osirusoft.com $WORKPATH/osirusoft.com.news
$BBBSDIR/bbbs bnntp g news.dyndns.org $WORKPATH/dyndns.org.news
#


#
exit 0


